// ---=== Sky ===--
// q3map_sunExt <red> <green> <blue> <intensity> <degrees> <elevation> <deviance> <samples>
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
// deviance: The number of degrees for the half-shadow. General values up to 2 or 3 are acceptable. 
// The real sun has a solid angle of about half a degree.
// samples: the number of random jitters distributed over the solid arc (~16).
// this sky must be compiled with Q3Map2 2.5.11 or later using -skyfix

textures/ut4_paranoiarena/pa1_sky
{
	qer_editorimage env/ut4_paranoiarena/purplenebula_bk.tga
	skyparms env/ut4_paranoiarena/purplenebula 512 -	
	
	q3map_sunEXT 0.9 0.9 0.9 200 0 90 1 16
//	q3map_lightRGB 0.7 0.8 1.0
	q3map_lightmapFilterRadius 0 8
	q3map_skyLight 500 3
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps
}

// ---=== Ladderclip ===---

textures/ut4_paranoiarena/pa1_ladderclip
{
	qer_editorimage textures/kittywumpus/kw_ladder.tga
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

// ---=== Holopanels ===---

textures/ut4_paranoiarena/pa1_hologo_b
{
	qer_editorimage textures/ut4_paranoiarena/fsk_holosign1/fsk_holosign_b1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		animMap 1.25 textures/ut4_paranoiarena/fsk_holosign1/fsk_holosign_b1.jpg textures/ut4_paranoiarena/fsk_holosign1/fsk_holosign_b1.jpg	textures/ut4_paranoiarena/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_paranoiarena/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_paranoiarena/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_paranoiarena/fsk_holosign1/fsk_holosign_b3.jpg textures/ut4_paranoiarena/fsk_holosign1/fsk_holosign_b7.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_paranoiarena/pa1_hologo_r
{
	qer_editorimage textures/ut4_paranoiarena/fsk_holosign1/fsk_holosign_r1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		animMap 1.25 textures/ut4_paranoiarena/fsk_holosign1/fsk_holosign_r1.jpg textures/ut4_paranoiarena/fsk_holosign1/fsk_holosign_r1.jpg textures/ut4_paranoiarena/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_paranoiarena/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_paranoiarena/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_paranoiarena/fsk_holosign1/fsk_holosign_r3.jpg textures/ut4_paranoiarena/fsk_holosign1/fsk_holosign_r7.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_paranoiarena/pa1_holop1_b
{
	qer_editorimage textures/ut4_paranoiarena/holopanel1/holopanel_b1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
//	deformVertexes autosprite2

	{
		animMap 12 textures/ut4_paranoiarena/holopanel1/holopanel_b1.jpg textures/ut4_paranoiarena/holopanel1/holopanel_b1.jpg textures/ut4_paranoiarena/holopanel1/holopanel_b1.jpg textures/ut4_paranoiarena/holopanel1/holopanel_b2.jpg textures/ut4_paranoiarena/holopanel1/holopanel_b1.jpg textures/ut4_paranoiarena/holopanel1/holopanel_b3.jpg textures/ut4_paranoiarena/holopanel1/holopanel_b1.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_paranoiarena/pa1_holop1_r
{
	qer_editorimage textures/ut4_paranoiarena/holopanel1/holopanel_r1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
//	deformVertexes autosprite2

	{
		animMap 12 textures/ut4_paranoiarena/holopanel1/holopanel_r1.jpg textures/ut4_paranoiarena/holopanel1/holopanel_r1.jpg textures/ut4_paranoiarena/holopanel1/holopanel_r1.jpg textures/ut4_paranoiarena/holopanel1/holopanel_r2.jpg textures/ut4_paranoiarena/holopanel1/holopanel_r1.jpg textures/ut4_paranoiarena/holopanel1/holopanel_r3.jpg textures/ut4_paranoiarena/holopanel1/holopanel_r1.jpg
		blendFunc GL_ONE GL_ONE
	}
}

// ---=== no damage textures ===---

textures/ut4_paranoiarena/e8clangfloor05c:q3map
{
	surfaceparm nodamage
}

textures/ut4_paranoiarena/e8clangfloor04warn:q3map
{
	surfaceparm nodamage
}

textures/ut4_paranoiarena/e8clangfloor04warn2:q3map
{
	surfaceparm nodamage
}

textures/ut4_paranoiarena/e8crete03fadedwarn:q3map
{
	surfaceparm nodamage
}

textures/ut4_paranoiarena/e8cretefloor01c:q3map
{
	surfaceparm nodamage
}

textures/ut4_paranoiarena/e8warning128:q3map
{
	surfaceparm nodamage
}

// ---=== Glass ===---

textures/ut4_paranoiarena/pa1_glass_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_paranoiarena/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

textures/ut4_paranoiarena/pa1_glass_slick_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam_slick.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm slick
	surfaceparm trans
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_paranoiarena/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

// ---=== shiny ===---

textures/ut4_paranoiarena/pa1_chrome1
{
	qer_editorimage textures/ut4_paranoiarena/chrome1.tga

	{
		map textures/ut4_paranoiarena/chrome_env.tga
		rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_paranoiarena/chrome1.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_paranoiarena/pa1_shn_e8base1c
{
	qer_editorimage textures/ut4_paranoiarena/e8_base1c.jpg
	surfaceparm nodamage

	{
		map textures/ut4_paranoiarena/e8_base1c.jpg
	}
	{
		map textures/ut4_paranoiarena/glass3.tga
		tcmod scale .5 .5
		tcGen environment
		blendfunc gl_dst_color gl_src_color
	}
	{
		map $lightmap
		blendfunc filter
	}
}

// ---=== Light Emitting Textures ===---

textures/ut4_paranoiarena/e6basicstrip_blue
{
	qer_editorimage textures/ut4_paranoiarena/e6basicstrip_blue.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_paranoiarena/e6basicstrip_blue.tga
	}
}

textures/ut4_paranoiarena/e6basicstrip_green
{
	qer_editorimage textures/ut4_paranoiarena/e6basicstrip_green.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_paranoiarena/e6basicstrip_green.tga
	}
}

textures/ut4_paranoiarena/e6basicstrip_orange
{
	qer_editorimage textures/ut4_paranoiarena/e6basicstrip_orange.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_paranoiarena/e6basicstrip_orange.tga
	}
}

textures/ut4_paranoiarena/e6basicstrip_purple
{
	qer_editorimage textures/ut4_paranoiarena/e6basicstrip_purple.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_paranoiarena/e6basicstrip_purple.tga
	}
}

textures/ut4_paranoiarena/e6basicstrip_red
{
	qer_editorimage textures/ut4_paranoiarena/e6basicstrip_red.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_paranoiarena/e6basicstrip_red.tga
	}
}

textures/ut4_paranoiarena/e6basicstrip_white
{
	qer_editorimage textures/ut4_paranoiarena/e6basicstrip_white.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_paranoiarena/e6basicstrip_white.tga
	}
}

textures/ut4_paranoiarena/e6basicstrip_yellow
{
	qer_editorimage textures/ut4_paranoiarena/e6basicstrip_yellow.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_paranoiarena/e6basicstrip_yellow.tga
	}
}

textures/ut4_paranoiarena/pa1_glassblk04_b
{
	qer_editorimage textures/ut4_paranoiarena/pr_glassblock04b.jpg 
	surfaceparm nodamage
	q3map_surfacelight 100
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_paranoiarena/pr_glassblock04b.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_paranoiarena/pr_glassblock04b.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_paranoiarena/pa1_glassblk04_r
{
	qer_editorimage textures/ut4_paranoiarena/pr_glassblock04r.jpg 
	surfaceparm nodamage
	q3map_surfacelight 100
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_paranoiarena/pr_glassblock04r.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_paranoiarena/pr_glassblock04r.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_paranoiarena/pa1_teleorbb
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 200
	qer_editorimage textures/ut4_paranoiarena/soc_blue_telep.jpg
	qer_trans 0.4
	{
		map textures/ut4_paranoiarena/soc_blue_telep.jpg
		tcmod rotate 360
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_paranoiarena/pa1_teleorbg
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 200
	qer_editorimage textures/ut4_paranoiarena/soc_telep_green.jpg
	qer_trans 0.4
	{
		map textures/ut4_paranoiarena/soc_telep_green.jpg
		tcmod rotate 360
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_paranoiarena/pa1_teleorbo
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 200
	qer_editorimage textures/ut4_paranoiarena/soc_telep_orange.jpg
	qer_trans 0.4
	{
		map textures/ut4_paranoiarena/soc_telep_orange.jpg
		tcmod rotate 360
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_paranoiarena/pa1_teleorbp
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 200
	qer_editorimage textures/ut4_paranoiarena/soc_telep_purpl.jpg
	qer_trans 0.4
	{
		map textures/ut4_paranoiarena/soc_telep_purpl.jpg
		tcmod rotate 360
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_paranoiarena/pa1_teleorbr
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 200
	qer_editorimage textures/ut4_paranoiarena/soc_red_telep.jpg
	qer_trans 0.4
	{
		map textures/ut4_paranoiarena/soc_red_telep.jpg
		tcmod rotate 360
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_paranoiarena/pa1_arrow3
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	polygonOffset
	nomipmaps
	nopicmip
	q3map_surfacelight 100
	qer_editorimage textures/ut4_paranoiarena/arrow_ograd2.jpg
	{
		animMap 7 textures/ut4_paranoiarena/arrow_grad1.jpg textures/ut4_paranoiarena/arrow_ograd4.jpg textures/ut4_paranoiarena/arrow_ograd3.jpg textures/ut4_paranoiarena/arrow_ograd2.jpg textures/ut4_paranoiarena/arrow_ograd3.jpg textures/ut4_paranoiarena/arrow_ograd4.jpg
		blendFunc GL_ONE GL_ONE
 	}
}

// ---=== non-solids ===---

textures/ut4_paranoiarena/pa1_stripwhitens
{
	qer_editorimage textures/ut4_paranoiarena/e6basicstrip_white.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
		
	{
		map textures/ut4_paranoiarena/e6basicstrip_white.tga
	}
}

textures/ut4_paranoiarena/pa1_strippurplens
{
	qer_editorimage textures/ut4_paranoiarena/e6basicstrip_purple.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
		
	{
		map textures/ut4_paranoiarena/e6basicstrip_purple.tga
	}
}

textures/ut4_paranoiarena/pa1_shn_base1cns
{
	qer_editorimage textures/ut4_paranoiarena/e8_base1c.jpg
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid

	{
		map textures/ut4_paranoiarena/e8_base1c.jpg
	}
	{
		map textures/ut4_paranoiarena/glass3.tga
		tcmod scale .5 .5
		tcGen environment
		blendfunc gl_dst_color gl_src_color
	}
	{
		map $lightmap
		blendfunc filter
	}
}

// ---=== oozes ===---

textures/ut4_paranoiarena/pa1_oozgreen
{
	surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slime

	cull disable
	sort 8

	qer_nocarve
	qer_trans 0.6
	qer_editorimage textures/ut4_paranoiarena/ooze_green.tga
	q3map_surfacelight 300

	{
		map textures/ut4_paranoiarena/ooze_green.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.3
		alphafunc ge128
	}
	{
		map textures/ut4_paranoiarena/ooze_green_brt.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 0.6
		alphafunc ge128
	}
	{
		map textures/ut4_paranoiarena/ooze_green.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll -0.025 0.45
		alphafunc ge128
	}
	{
		map textures/ut4_paranoiarena/ooze_green.tga
		blendfunc filter
		tcMod scroll 0.001 -0.05
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

textures/ut4_paranoiarena/pa1_oozred
{
	surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slime

	cull disable
	sort 8

	qer_nocarve
	qer_trans 0.6
	qer_editorimage textures/ut4_paranoiarena/ooze_red.tga
	q3map_surfacelight 300

	{
		map textures/ut4_paranoiarena/ooze_red.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.3
		alphafunc ge128
	}
	{
		map textures/ut4_paranoiarena/ooze_red_brt.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.6
		alphafunc ge128
	}
	{
		map textures/ut4_paranoiarena/ooze_red.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll -0.025 0.45
		alphafunc ge128
	}
	{
		map textures/ut4_paranoiarena/ooze_red.tga
		blendfunc filter
		tcMod scroll 0.001 -0.05
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

textures/ut4_paranoiarena/pa1_oozblue
{
	surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slime

	cull disable
	sort 8

	qer_nocarve
	qer_trans 0.6
	qer_editorimage textures/ut4_paranoiarena/ooze_blue.tga
	q3map_surfacelight 300

	{
		map textures/ut4_paranoiarena/ooze_blue.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.3
		alphafunc ge128
	}
	{
		map textures/ut4_paranoiarena/ooze_blue_brt.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 0.6
		alphafunc ge128
	}
	{
		map textures/ut4_paranoiarena/ooze_blue.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.45
		alphafunc ge128
	}
	{
		map textures/ut4_paranoiarena/ooze_blue.tga
		blendfunc filter
		tcMod scroll -0.001 1.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

// ---=== Evil Shaders ===---

textures/ut4_paranoiarena/e8bgrate02
{
	surfaceparm alphashadow
	surfaceparm nonsolid
	cull none
	{
		map textures/ut4_paranoiarena/e8bgrate02.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}
